
From: <gerg@snapgear.com>

A few changes to the m68knommu Kconfig:

. Add support for 64MHz clocked CPU's
. Add support for selecting the COBRA5272 and COBRA5282 boards
. Use drivers/Kconfig for driver configuration
. Allow configuring compilation with frame-pointer


---

 25-akpm/arch/m68knommu/Kconfig |   78 ++++++++++++++++-------------------------
 1 files changed, 31 insertions(+), 47 deletions(-)

diff -puN arch/m68knommu/Kconfig~m68knommu-kconfig-cleanup arch/m68knommu/Kconfig
--- 25/arch/m68knommu/Kconfig~m68knommu-kconfig-cleanup	2004-04-07 19:17:22.386330984 -0700
+++ 25-akpm/arch/m68knommu/Kconfig	2004-04-07 19:17:22.391330224 -0700
@@ -171,6 +171,11 @@ config CLOCK_60MHz
 	help
 	  Select an 60MHz CPU clock frequency.
 
+config CLOCK_64MHz
+	bool "64MHz"
+	help
+	  Select an 64MHz CPU clock frequency.
+
 config CLOCK_66MHz
 	bool "66MHz"
 	help
@@ -282,12 +287,24 @@ config M5272C3
 	help
 	  Support for the Motorola M5272C3 board.
 
+config COBRA5272
+	bool "senTec COBRA5272 board support"
+	depends on M5272
+	help
+	  Support for the senTec COBRA5272 board.
+
 config M5282C3
 	bool "Motorola M5282C3 board support"
 	depends on M5282
 	help
 	  Support for the Motorola M5282C3 board.
 
+config COBRA5282
+	bool "senTec COBRA5282 board support"
+	depends on M5282
+	help
+	  Support for the senTec COBRA5282 board.
+
 config ARN5307
 	bool "Arnewsh 5307 board support"
 	depends on M5307
@@ -358,6 +375,11 @@ config MOTOROLA
 	default y
 	depends on (M5206eC3 || M5249C3 || M5272C3 || M5282C3 || M5307C3 || M5407C3)
 
+config senTec
+	bool
+	default y
+	depends on (COBRA5272 || COBRA5282)
+
 config LARGE_ALLOCS
 	bool "Allow allocating large blocks (> 1MB) of memory"
 	help
@@ -485,56 +507,10 @@ config PM
 
 endmenu
 
-
-source "drivers/base/Kconfig"
-
-source "drivers/mtd/Kconfig"
-
-source "drivers/parport/Kconfig"
-
-source "drivers/pnp/Kconfig"
-
-source "drivers/block/Kconfig"
-
-source "drivers/ide/Kconfig"
-
-source "drivers/scsi/Kconfig"
-
-source "drivers/cdrom/Kconfig"
-
-source "drivers/md/Kconfig"
-
-source "drivers/message/fusion/Kconfig"
-
-source "drivers/ieee1394/Kconfig"
-
-source "drivers/message/i2o/Kconfig"
-
-source "net/Kconfig"
-
-source "drivers/isdn/Kconfig"
-
-source "drivers/telephony/Kconfig"
-
-#
-# input before char - char/joystick depends on it. As does USB.
-#
-source "drivers/input/Kconfig"
-
-source "drivers/char/Kconfig"
-
-#source drivers/misc/Config.in
-source "drivers/media/Kconfig"
+source "drivers/Kconfig"
 
 source "fs/Kconfig"
 
-source "drivers/video/Kconfig"
-
-source "sound/Kconfig"
-
-source "drivers/usb/Kconfig"
-
-
 menu "Kernel hacking"
 
 config FULLDEBUG
@@ -542,6 +518,14 @@ config FULLDEBUG
 	help
 	  Enable debuging symbols on kernel build.
 
+config FRAME_POINTER
+	bool "Compile the kernel with frame pointers"
+	help
+	  If you say Y here the resulting kernel image will be slightly larger
+	  and slower, but it will give very useful debugging information.
+	  If you don't debug the kernel, you can say N, but we may not be able
+	  to solve problems without frame pointers.
+
 config MAGIC_SYSRQ
 	bool "Magic SysRq key"
 	help

_
